> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spicerack.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tournament Rounds

> List all tournament rounds



## OpenAPI

````yaml https://api.spicerack.gg/docs/schema get /api/v1/tournament-rounds/
openapi: 3.0.3
info:
  title: Hydra API
  version: 1.0.0
  description: Hydra API
servers: []
security: []
paths:
  /api/v1/tournament-rounds/:
    get:
      tags:
        - tournament-rounds
      summary: List Tournament Rounds
      description: List all tournament rounds
      operationId: tournament_rounds_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TournamentRound'
          description: ''
      security:
        - APIKey: []
        - APIKey: []
components:
  schemas:
    TournamentRound:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        round_number:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        status:
          $ref: '#/components/schemas/TournamentPhaseStatus'
        matches:
          type: array
          items:
            $ref: '#/components/schemas/TournamentMatch'
      required:
        - id
        - matches
    TournamentPhaseStatus:
      enum:
        - IN_PROGRESS
        - UPCOMING
        - COMPLETE
      type: string
      description: |-
        * `IN_PROGRESS` - In Progress
        * `UPCOMING` - Upcoming
        * `COMPLETE` - Complete
    TournamentMatch:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        is_feature_match:
          type: boolean
        table_number:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        status:
          $ref: '#/components/schemas/TournamentMatchStatus'
        player_match_relationships:
          type: array
          items:
            $ref: '#/components/schemas/PlayerMatchRelationship'
      required:
        - id
        - player_match_relationships
    TournamentMatchStatus:
      enum:
        - IN_PROGRESS
        - COMPLETE
      type: string
      description: |-
        * `IN_PROGRESS` - In Progress
        * `COMPLETE` - Complete
    PlayerMatchRelationship:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        user_event_status:
          $ref: '#/components/schemas/UserEventStatus'
        games_won:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        points_gained:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        player_order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
      required:
        - id
        - user_event_status
    UserEventStatus:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        user:
          $ref: '#/components/schemas/UserBasic'
        decklist:
          type: integer
          nullable: true
        registration_status:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/UserEventRegistrationStatus'
            - $ref: '#/components/schemas/BlankEnum'
            - $ref: '#/components/schemas/NullEnum'
        final_place_in_standings:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
        matches_won:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        matches_lost:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        matches_drawn:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        total_match_points:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
      required:
        - id
        - user
    UserBasic:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        best_identifier:
          type: string
          readOnly: true
      required:
        - best_identifier
        - id
    UserEventRegistrationStatus:
      enum:
        - IN_PROGRESS
        - IN_WAITING_ROOM
        - ON_WAITLIST
        - MOVED_TO_CHILD_EVENT
        - COMPLETE
        - CANCELED
        - DROPPED
        - DISQUALIFIED
        - ELIMINATED
      type: string
      description: |-
        * `IN_PROGRESS` - In Progress
        * `IN_WAITING_ROOM` - In Waiting Room
        * `ON_WAITLIST` - On Waitlist
        * `MOVED_TO_CHILD_EVENT` - Moved to Child Event
        * `COMPLETE` - Complete
        * `CANCELED` - Canceled
        * `DROPPED` - Dropped
        * `DISQUALIFIED` - Disqualified
        * `ELIMINATED` - Eliminated
    BlankEnum:
      enum:
        - ''
    NullEnum:
      enum:
        - null
  securitySchemes:
    APIKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: 'API key in format: sk_*'

````